Retrieve model

GET /v1/models/{model}

Parameters

NameInTypeRequiredDescription
modelpathstringYesThe model ID (alias or dated version) to retrieve.

Responses

200

OK

Content type: application/json

FieldTypeRequiredDescription
idstringYesThe model identifier (alias or dated version).
objectstringYesThe object type, always “model”.
createdintegerYesUnix timestamp (seconds) of when the model version was created.
owned_bystringYesOrganization that owns the model.

default

Error

Content type: application/problem+json

FieldTypeRequiredDescription
detailstringNoA human-readable explanation specific to this occurrence of the problem.
errorsarray of objectNoOptional list of individual error details
instancestringNoA URI reference that identifies the specific occurrence of the problem.
statusintegerNoHTTP status code
titlestringNoA short, human-readable summary of the problem type. This value should not change between occurrences of the error.
typestringNoA URI reference to human-readable documentation for the error.

errors[]

FieldTypeRequiredDescription
locationstringNoWhere the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
messagestringNoError message text
valueanyNoThe value at the given location

Examples

Retrieve a model

curl https://api.example.com/v1/models/flint-alpha \
  -H "Authorization: Bearer $SPRINGBOARDS_API_KEY"